NX Open C++ Reference Guide
|
Represents a @link Features::BridgeCurve Features::BridgeCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateBridgeCurveBuilder Features::FeatureCollection::CreateBridgeCurveBuilder @endlink <br>
Default values. More...
Public Types | |
enum | ConstraintTypes { ConstraintTypesG0, ConstraintTypesG1, ConstraintTypesG2, ConstraintTypesG3 } |
This enum represents the end continuity constraint types for the bridge curve. More... | |
enum | CurveDirectionTypes { CurveDirectionTypesTangent, CurveDirectionTypesPerpendicular } |
This enum represents the direction type for input curves. More... | |
enum | CurveFitTypes { CurveFitTypesCubic, CurveFitTypesQuintic, CurveFitTypesAdvanced } |
This enum represents the curve fit types for the bridge curve. More... | |
enum | EndObjectTypes { EndObjectTypesObject, EndObjectTypesVector } |
This enum represents the current selected end object types for the bridge curve. More... | |
enum | MinRadiusTypes { MinRadiusTypesNone, MinRadiusTypesMinimum, MinRadiusTypesPeak } |
This enum represents the minimum radius types for the bridge curve. More... | |
enum | SelectedObject { SelectedObjectOne, SelectedObjectTwo } |
This enum represents the current selected object for the bridge curve. More... | |
enum | ShapeControlTypes { ShapeControlTypesEndPoint, ShapeControlTypesPeakPoint, ShapeControlTypesConic, ShapeControlTypesShapeCurve } |
This enum represents the shape control types for the bridge curve. More... | |
enum | SurfaceDirectionTypes { SurfaceDirectionTypesSectional, SurfaceDirectionTypesIsoU, SurfaceDirectionTypesIsoV } |
This enum represents the direction type for input surfaces. More... | |
Public Member Functions | |
NXOpen::ScCollector * | ConstraintFaces () |
Returns the constraint faces | |
NXOpen::GeometricUtilities::CurveFitData * | CurveFitData () |
Returns the curve fitting parameters | |
NXOpen::Features::BridgeCurveBuilder::CurveFitTypes | CurveFitOption () |
Returns the curve fit option | |
NXOpen::Expression * | Depth () |
Returns the depth value for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint | |
NXOpen::Features::BridgeCurveBuilder::ConstraintTypes | EndContinuityOption () |
Returns the end continuity option | |
NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes | EndCurveDirectionOption () |
Returns the end curve direction option | |
NXOpen::Expression * | EndDirectionAngle () |
Returns the end direction angle | |
NXOpen::SelectObject * | EndObject () |
Returns the end object | |
NXOpen::Features::BridgeCurveBuilder::EndObjectTypes | EndObjectOption () |
Returns the object selection option | |
NXOpen::SelectObject * | EndPerpendicularFace () |
Returns the end perpendicular face | |
NXOpen::Direction * | EndPointDirection () |
Returns the end point direction | |
NXOpen::Point * | EndReferencePoint () |
Returns the start reference point | |
NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes | EndSurfaceDirectionOption () |
Returns the end surface direction option | |
NXOpen::Expression * | EndTangentMagnitude () |
Returns the end tangent magnitude for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesEndPoint | |
NXOpen::Direction * | EndVectorObject () |
Returns the start point direction | |
bool | IsAssociative () |
Returns whether the bridge curve is associative | |
int | MaximumDegree () |
Returns the maximum degree | |
int | MaximumSegment () |
Returns the maximum segment | |
NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes | MinimumRadiusOption () |
Returns the minimum radius option | |
NXOpen::Expression * | MinimumRadiusValue () |
Returns the minimum radius value | |
NXOpen::Features::BridgeCurveBuilder::SelectedObject | ObjectSelectionOption () |
Returns the object selection option | |
bool | ReverseEndDirection () |
Returns the reverse end direction | |
bool | ReverseStartDirection () |
Returns the reverse start direction | |
NXOpen::Expression * | Rho () |
Returns the rho value for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesConic | |
void | SetAssociative (bool associative) |
Sets whether the bridge curve is associative | |
void | SetCurveFitOption (NXOpen::Features::BridgeCurveBuilder::CurveFitTypes curveFitOption) |
Sets the curve fit option | |
void | SetEndContinuityOption (NXOpen::Features::BridgeCurveBuilder::ConstraintTypes endContinuityOption) |
Sets the end continuity option | |
void | SetEndCurveDirectionOption (NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes endCurveDirectionOption) |
Sets the end curve direction option | |
void | SetEndObjectOption (NXOpen::Features::BridgeCurveBuilder::EndObjectTypes endObjectOption) |
Sets the object selection option | |
void | SetEndPointDirection (NXOpen::Direction *endPointDirection) |
Sets the end point direction | |
void | SetEndReferencePoint (NXOpen::Point *endReferencePoint) |
Sets the start reference point | |
void | SetEndSurfaceDirectionOption (NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes endSurfaceDirectionOption) |
Sets the end surface direction option | |
void | SetEndVectorObject (NXOpen::Direction *endVectorObject) |
Sets the start point direction | |
void | SetMaximumDegree (int maximumDegree) |
Sets the maximum degree | |
void | SetMaximumSegment (int maximumSegment) |
Sets the maximum segment | |
void | SetMinimumRadiusOption (NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes minimumRadiusOption) |
Sets the minimum radius option | |
void | SetObjectSelectionOption (NXOpen::Features::BridgeCurveBuilder::SelectedObject objectSelectionOption) |
Sets the object selection option | |
void | SetReverseEndDirection (bool reverseEndDirection) |
Sets the reverse end direction | |
void | SetReverseStartDirection (bool reverseStartDirection) |
Sets the reverse start direction | |
void | SetShapeControlOption (NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes shapeControlOption) |
Sets the shape control option | |
void | SetStartContinuityOption (NXOpen::Features::BridgeCurveBuilder::ConstraintTypes startContinuityOption) |
Sets the start continuity option | |
void | SetStartCurveDirectionOption (NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes startCurveDirectionOption) |
Sets the start curve direction option | |
void | SetStartPointDirection (NXOpen::Direction *startPointDirection) |
Sets the start point direction | |
void | SetStartReferencePoint (NXOpen::Point *startReferencePoint) |
Sets the start reference point | |
void | SetStartSurfaceDirectionOption (NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes startSurfaceDirectionOption) |
Sets the start surface direction option | |
void | SetTolerance (double tolerance) |
Sets the tolerance | |
NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes | ShapeControlOption () |
Returns the shape control option | |
NXOpen::SelectObject * | ShapeCurve () |
Returns the shape curve for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesShapeCurve | |
NXOpen::Expression * | Skew () |
Returns the skew value for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint | |
NXOpen::Features::BridgeCurveBuilder::ConstraintTypes | StartContinuityOption () |
Returns the start continuity option | |
NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes | StartCurveDirectionOption () |
Returns the start curve direction option | |
NXOpen::Expression * | StartDirectionAngle () |
Returns the start direction angle | |
NXOpen::SelectObject * | StartObject () |
Returns the start object | |
NXOpen::SelectObject * | StartPerpendicularFace () |
Returns the start perpendicular face | |
NXOpen::Direction * | StartPointDirection () |
Returns the start point direction | |
NXOpen::Point * | StartReferencePoint () |
Returns the start reference point | |
NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes | StartSurfaceDirectionOption () |
Returns the start surface direction option | |
NXOpen::Expression * | StartTangentMagnitude () |
Returns the start tangent magnitude for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesEndPoint | |
double | Tolerance () |
Returns the tolerance | |
NXOpen::Expression * | UPercentEnd () |
Returns the u percent end | |
NXOpen::Expression * | UPercentStart () |
Returns the u percent start | |
NXOpen::Expression * | VPercentEnd () |
Returns the v percent end | |
NXOpen::Expression * | VPercentStart () |
Returns the v percent start | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::BridgeCurve Features::BridgeCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateBridgeCurveBuilder Features::FeatureCollection::CreateBridgeCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CurveFitData.CurveJoinMethod |
No |
CurveFitData.Degree |
7 |
CurveFitData.FitMethod |
DegreeAndSegments |
CurveFitData.IsAdvancedFit |
0 |
CurveFitData.IsAlignShape |
0 |
CurveFitData.MaximumDegree |
7 |
CurveFitData.MaximumSegments |
1 |
CurveFitData.MinimumDegree |
5 |
CurveFitData.Segments |
1 |
Depth.Value |
50 |
EndDirectionAngle.Value |
0 |
EndTangentMagnitude.Value |
1 |
IsAssociative |
True |
MinimumRadiusValue.Value |
1 |
ReverseEndDirection |
False |
ReverseStartDirection |
False |
Rho.Value |
0.5 |
Skew.Value |
50 |
StartDirectionAngle.Value |
0 |
StartTangentMagnitude.Value |
1 |
UPercentEnd.Value |
0 |
UPercentStart.Value |
0 |
VPercentEnd.Value |
0 |
VPercentStart.Value |
0 |
Created in NX5.0.0.
This enum represents the direction type for input curves.
This enum represents the direction type for input surfaces.
NXOpen::ScCollector* NXOpen::Features::BridgeCurveBuilder::ConstraintFaces | ( | ) |
Returns the constraint faces
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::BridgeCurveBuilder::CurveFitData | ( | ) |
Returns the curve fitting parameters
Use Features::BridgeCurveBuilderEx instead.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::CurveFitTypes NXOpen::Features::BridgeCurveBuilder::CurveFitOption | ( | ) |
Returns the curve fit option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::Depth | ( | ) |
Returns the depth value for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::ConstraintTypes NXOpen::Features::BridgeCurveBuilder::EndContinuityOption | ( | ) |
Returns the end continuity option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes NXOpen::Features::BridgeCurveBuilder::EndCurveDirectionOption | ( | ) |
Returns the end curve direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::EndDirectionAngle | ( | ) |
Returns the end direction angle
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::EndObject | ( | ) |
Returns the end object
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::EndObjectTypes NXOpen::Features::BridgeCurveBuilder::EndObjectOption | ( | ) |
Returns the object selection option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::EndPerpendicularFace | ( | ) |
Returns the end perpendicular face
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::BridgeCurveBuilder::EndPointDirection | ( | ) |
Returns the end point direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::BridgeCurveBuilder::EndReferencePoint | ( | ) |
Returns the start reference point
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes NXOpen::Features::BridgeCurveBuilder::EndSurfaceDirectionOption | ( | ) |
Returns the end surface direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::EndTangentMagnitude | ( | ) |
Returns the end tangent magnitude for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesEndPoint
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::BridgeCurveBuilder::EndVectorObject | ( | ) |
Returns the start point direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::BridgeCurveBuilder::IsAssociative | ( | ) |
Returns whether the bridge curve is associative
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::BridgeCurveBuilder::MaximumDegree | ( | ) |
Returns the maximum degree
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::BridgeCurveBuilder::MaximumSegment | ( | ) |
Returns the maximum segment
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes NXOpen::Features::BridgeCurveBuilder::MinimumRadiusOption | ( | ) |
Returns the minimum radius option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::MinimumRadiusValue | ( | ) |
Returns the minimum radius value
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::SelectedObject NXOpen::Features::BridgeCurveBuilder::ObjectSelectionOption | ( | ) |
Returns the object selection option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::BridgeCurveBuilder::ReverseEndDirection | ( | ) |
Returns the reverse end direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::BridgeCurveBuilder::ReverseStartDirection | ( | ) |
Returns the reverse start direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::Rho | ( | ) |
Returns the rho value for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesConic
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::BridgeCurveBuilder::SetAssociative | ( | bool | associative | ) |
Sets whether the bridge curve is associative
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
associative | associative |
void NXOpen::Features::BridgeCurveBuilder::SetCurveFitOption | ( | NXOpen::Features::BridgeCurveBuilder::CurveFitTypes | curveFitOption | ) |
Sets the curve fit option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
curveFitOption | curvefitoption |
void NXOpen::Features::BridgeCurveBuilder::SetEndContinuityOption | ( | NXOpen::Features::BridgeCurveBuilder::ConstraintTypes | endContinuityOption | ) |
Sets the end continuity option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
endContinuityOption | endcontinuityoption |
void NXOpen::Features::BridgeCurveBuilder::SetEndCurveDirectionOption | ( | NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes | endCurveDirectionOption | ) |
Sets the end curve direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
endCurveDirectionOption | endcurvedirectionoption |
void NXOpen::Features::BridgeCurveBuilder::SetEndObjectOption | ( | NXOpen::Features::BridgeCurveBuilder::EndObjectTypes | endObjectOption | ) |
Sets the object selection option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
endObjectOption | endobjectoption |
void NXOpen::Features::BridgeCurveBuilder::SetEndPointDirection | ( | NXOpen::Direction * | endPointDirection | ) |
Sets the end point direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
endPointDirection | endpointdirection |
void NXOpen::Features::BridgeCurveBuilder::SetEndReferencePoint | ( | NXOpen::Point * | endReferencePoint | ) |
Sets the start reference point
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
endReferencePoint | endreferencepoint |
void NXOpen::Features::BridgeCurveBuilder::SetEndSurfaceDirectionOption | ( | NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes | endSurfaceDirectionOption | ) |
Sets the end surface direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
endSurfaceDirectionOption | endsurfacedirectionoption |
void NXOpen::Features::BridgeCurveBuilder::SetEndVectorObject | ( | NXOpen::Direction * | endVectorObject | ) |
Sets the start point direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
endVectorObject | endvectorobject |
void NXOpen::Features::BridgeCurveBuilder::SetMaximumDegree | ( | int | maximumDegree | ) |
Sets the maximum degree
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
maximumDegree | maximumdegree |
void NXOpen::Features::BridgeCurveBuilder::SetMaximumSegment | ( | int | maximumSegment | ) |
Sets the maximum segment
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
maximumSegment | maximumsegment |
void NXOpen::Features::BridgeCurveBuilder::SetMinimumRadiusOption | ( | NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes | minimumRadiusOption | ) |
Sets the minimum radius option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
minimumRadiusOption | minimumradiusoption |
void NXOpen::Features::BridgeCurveBuilder::SetObjectSelectionOption | ( | NXOpen::Features::BridgeCurveBuilder::SelectedObject | objectSelectionOption | ) |
Sets the object selection option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
objectSelectionOption | objectselectionoption |
void NXOpen::Features::BridgeCurveBuilder::SetReverseEndDirection | ( | bool | reverseEndDirection | ) |
Sets the reverse end direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
reverseEndDirection | reverseenddirection |
void NXOpen::Features::BridgeCurveBuilder::SetReverseStartDirection | ( | bool | reverseStartDirection | ) |
Sets the reverse start direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
reverseStartDirection | reversestartdirection |
void NXOpen::Features::BridgeCurveBuilder::SetShapeControlOption | ( | NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes | shapeControlOption | ) |
Sets the shape control option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
shapeControlOption | shapecontroloption |
void NXOpen::Features::BridgeCurveBuilder::SetStartContinuityOption | ( | NXOpen::Features::BridgeCurveBuilder::ConstraintTypes | startContinuityOption | ) |
Sets the start continuity option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
startContinuityOption | startcontinuityoption |
void NXOpen::Features::BridgeCurveBuilder::SetStartCurveDirectionOption | ( | NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes | startCurveDirectionOption | ) |
Sets the start curve direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
startCurveDirectionOption | startcurvedirectionoption |
void NXOpen::Features::BridgeCurveBuilder::SetStartPointDirection | ( | NXOpen::Direction * | startPointDirection | ) |
Sets the start point direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
startPointDirection | startpointdirection |
void NXOpen::Features::BridgeCurveBuilder::SetStartReferencePoint | ( | NXOpen::Point * | startReferencePoint | ) |
Sets the start reference point
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
startReferencePoint | startreferencepoint |
void NXOpen::Features::BridgeCurveBuilder::SetStartSurfaceDirectionOption | ( | NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes | startSurfaceDirectionOption | ) |
Sets the start surface direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
startSurfaceDirectionOption | startsurfacedirectionoption |
void NXOpen::Features::BridgeCurveBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes NXOpen::Features::BridgeCurveBuilder::ShapeControlOption | ( | ) |
Returns the shape control option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::ShapeCurve | ( | ) |
Returns the shape curve for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesShapeCurve
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::Skew | ( | ) |
Returns the skew value for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::ConstraintTypes NXOpen::Features::BridgeCurveBuilder::StartContinuityOption | ( | ) |
Returns the start continuity option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes NXOpen::Features::BridgeCurveBuilder::StartCurveDirectionOption | ( | ) |
Returns the start curve direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::StartDirectionAngle | ( | ) |
Returns the start direction angle
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::StartObject | ( | ) |
Returns the start object
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::StartPerpendicularFace | ( | ) |
Returns the start perpendicular face
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::BridgeCurveBuilder::StartPointDirection | ( | ) |
Returns the start point direction
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::BridgeCurveBuilder::StartReferencePoint | ( | ) |
Returns the start reference point
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes NXOpen::Features::BridgeCurveBuilder::StartSurfaceDirectionOption | ( | ) |
Returns the start surface direction option
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::StartTangentMagnitude | ( | ) |
Returns the start tangent magnitude for shape control option of Features::BridgeCurveBuilder::ShapeControlTypesEndPoint
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::BridgeCurveBuilder::Tolerance | ( | ) |
Returns the tolerance
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::UPercentEnd | ( | ) |
Returns the u percent end
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::UPercentStart | ( | ) |
Returns the u percent start
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::VPercentEnd | ( | ) |
Returns the v percent end
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::VPercentStart | ( | ) |
Returns the v percent start
Use Features::BridgeCurveBuilderEx instead.
Created in NX5.0.0.
License requirements : None